.marquee {

    @include sm(){
        width: 100%;
        margin: 0;
        white-space: nowrap;
        overflow: hidden;
        -webkit-box-sizing: border-box;
        box-sizing: border-box;
        //@include flex();

        .promotion-banner {
            display: inline-block;
            padding-left: 100%;  /* show the marquee just outside the paragraph */
            -webkit-animation: marquee 11s linear infinite;
            animation: marquee 11s linear infinite;
        }

        @include state(){
            animation-play-state: paused
        }
    }
    
}

/* Make it move */
@keyframes marquee {
    0%   { transform: translate(0, 0); }
    100% { transform: translate(-100%, 0); }
}